diff --git a/plugins/uefi/fu-uefi-device.c b/plugins/uefi/fu-uefi-device.c
index 23550959f69..65d2ac53929 100644
--- a/plugins/uefi/fu-uefi-device.c
+++ b/plugins/uefi/fu-uefi-device.c
@@ -515,10 +515,10 @@ fu_uefi_device_prepare (FuDevice *device,
 	/* sanity checks */
 	if (!fu_uefi_device_is_esp_mounted (device, error))
 		return FALSE;
-	if (!fu_uefi_device_check_esp_free (device, error))
-		return FALSE;
 	if (!fu_uefi_device_cleanup_esp (device, error))
 		return FALSE;
+	if (!fu_uefi_device_check_esp_free (device, error))
+		return FALSE;
 
 	return TRUE;
 }
